store | blogs | forums | twitter | facebook | wiki | mailing lists | downloads | support portal
Atomic Secure Linux
It is currently Thu Apr 17, 2014 5:37 pm

» Feed - Atomicorp

All times are UTC - 5 hours [ DST ]




Post new topic Reply to topic  [ 55 posts ]  Go to page 1, 2, 3, 4  Next
Author Message
 Post subject: [atomic] PHP 5.2.13
Unread postPosted: Wed Mar 03, 2010 4:52 pm 
Offline
Atomicorp Staff - Site Admin
Atomicorp Staff - Site Admin

Joined: Wed Dec 31, 1969 8:00 pm
Posts: 7776
Location: earth
This update covers PHP, PHP-Eaccelerator, Suhosin, and PHP-Sqlite2. Due to the security nature of this update it is recommended that this be applied as soon as possible.

Security Fixes

* Improved LCG entropy. (Rasmus, Samy Kamkar)
* Fixed safe_mode validation inside tempnam() when the directory path does not end with a /). (Martin Jansen)
* Fixed a possible open_basedir/safe_mode bypass in the session extension identified by Grzegorz Stachowiak. (Ilia)

Full Changelog
http://www.php.net/ChangeLog-5.php#5.2.13


To Upgrade:

yum upgrade php


Top
 Profile  
 
 Post subject: Re: [atomic] PHP 5.2.13
Unread postPosted: Thu Mar 04, 2010 12:02 pm 
Offline
Forum Regular
Forum Regular

Joined: Sun Jul 12, 2009 1:33 pm
Posts: 158
Code:
Loading mirror speeds from cached hostfile
 * addons: mirror.ash.fastserv.com
 * atomic: www4.atomicorp.com
 * base: yum.singlehop.com
 * extras: mirror.skiplink.com
 * updates: www.ontime1405.com
addons                                                              |  951 B     00:00     
atomic                                                              |  951 B     00:00     
atomic/primary                                                      | 243 kB     00:00     
http://www4.atomicorp.com/channels/atomic/centos/5/x86_64/repodata/primary.xml.gz: [Errno -1] Metadata file does not match checksum
Trying other mirror.
atomic/primary                                                      | 243 kB     00:00     
http://www.atomicorp.com/channels/atomic/centos/5/x86_64/repodata/primary.xml.gz: [Errno -1] Metadata file does not match checksum
Trying other mirror.
atomic/primary                                                      | 243 kB     00:00     
http://www3.atomicorp.com/channels/atomic/centos/5/x86_64/repodata/primary.xml.gz: [Errno -1] Metadata file does not match checksum
Trying other mirror.
atomic/primary                                                      | 243 kB     00:00     
http://www5.atomicorp.com/channels/atomic/centos/5/x86_64/repodata/primary.xml.gz: [Errno -1] Metadata file does not match checksum
Trying other mirror.
atomic/primary                                                      | 243 kB     00:00     
http://www2.atomicorp.com/channels/atomic/centos/5/x86_64/repodata/primary.xml.gz: [Errno -1] Metadata file does not match checksum
Trying other mirror.
base                                                                | 2.1 kB     00:00     
extras                                                              | 2.1 kB     00:00     
plesk                                                               |  951 B     00:00     
updates                                                             | 1.9 kB     00:00     
Excluding Packages from Plesk Server Administrator
Finished
Setting up Upgrade Process
No Packages marked for Update



Top
 Profile  
 
 Post subject: Re: [atomic] PHP 5.2.13
Unread postPosted: Fri Mar 05, 2010 10:01 am 
Offline
Forum Regular
Forum Regular

Joined: Mon Apr 10, 2006 12:55 pm
Posts: 669
Try
Code:
#yum clean all

99% of the time clears up the checksum error.

_________________
"Its not a mac. I run linux... I'm actually cool." - scott


Top
 Profile  
 
 Post subject: Re: [atomic] PHP 5.2.13
Unread postPosted: Fri Mar 05, 2010 12:26 pm 
Offline
Forum Regular
Forum Regular

Joined: Sun Jul 12, 2009 1:33 pm
Posts: 158
Hi

Sorry for not updating … I retired shortly afterwards and it went through


Top
 Profile  
 
 Post subject: Re: [atomic] PHP 5.2.13
Unread postPosted: Sat Mar 06, 2010 8:47 am 
Offline
Forum Regular
Forum Regular

Joined: Sun Jul 12, 2009 1:33 pm
Posts: 158
Hi Scott

I know you've been backporting 5.3.x stuff into the 5.2.x branch which is awesome.

Would you consider the php-fpm patch?

I gather it will be part of the 5.3.3 core and maybe even 5.3.2.

The patch for 5.2.13 is here already: http://php-fpm.org/downloads/

Would help those of us dabbling with Nginx to run php directly instead of proxying to Apache or trying to use stuff from Lighttpd.

Speaking of Nginx, seems the latest stable version is now at 0.7.65.

Cheers for your efforts!


Top
 Profile  
 
 Post subject: Re: [atomic] PHP 5.2.13
Unread postPosted: Sat Mar 06, 2010 9:34 am 
Offline
Atomicorp Staff - Site Admin
Atomicorp Staff - Site Admin

Joined: Wed Dec 31, 1969 8:00 pm
Posts: 7776
Location: earth
sure, in fact that was in the ART series for a while. I think up to 5.2.9, and then the upstream stopped maintaining it (for 5.3 obviously)


Top
 Profile  
 
 Post subject: Re: [atomic] PHP 5.2.13
Unread postPosted: Sat Mar 06, 2010 9:52 am 
Offline
Forum Regular
Forum Regular

Joined: Sun Jul 12, 2009 1:33 pm
Posts: 158
Alright.

Actually, if you look at the link I posted, they have been releasing patches for all php releases since 5.2.3. I think Nginx use is what is driving this although I gather it has benefits over the standard Fastcgi for Apache as well.

Obviously has to be applied to the source first before compiling at the moment but will be a "-with php-fpm" flag in the coming 5.3.x releases.

I will hold off trying to go the manual route if you are considering patching 5.2.13 with this.

Thanks!


Top
 Profile  
 
 Post subject: Re: [atomic] PHP 5.2.13
Unread postPosted: Sat Mar 06, 2010 10:02 am 
Offline
Atomicorp Staff - Site Admin
Atomicorp Staff - Site Admin

Joined: Wed Dec 31, 1969 8:00 pm
Posts: 7776
Location: earth
Actually Im trying it right now :P


Top
 Profile  
 
 Post subject: Re: [atomic] PHP 5.2.13
Unread postPosted: Sat Mar 06, 2010 10:26 am 
Offline
Forum Regular
Forum Regular

Joined: Sun Jul 12, 2009 1:33 pm
Posts: 158
Awesome! :D


Top
 Profile  
 
 Post subject: Re: [atomic] PHP 5.2.13
Unread postPosted: Sat Mar 06, 2010 12:44 pm 
Offline
Forum Regular
Forum Regular

Joined: Sat Mar 28, 2009 6:58 pm
Posts: 839
Location: Germany
since this update I receive segfaults in /var/log/messages:
e.g.
Code:
Mar  4 19:03:46 www kernel: php-cgi[1661]: segfault at 19 ip 00007661ddbe470e sp 00007df33859e0a0 error 4 in libc-2.5.so[7661ddb72000+14d000]
Mar  6 17:26:04 www kernel: php-cgi[27265]: segfault at 19 ip 00006752e7f4070e sp 0000710a248545f0 error 4 in libc-2.5.so[6752e7ece000+14d000]


Thanks for any infos/hints about that.
Restarting httpd results also in that kind of segfault, but only if a php-cgi process exists.

Thanks a lot


Top
 Profile  
 
 Post subject: Re: [atomic] PHP 5.2.13
Unread postPosted: Sun Mar 07, 2010 6:04 am 
Offline
Forum Regular
Forum Regular

Joined: Sat Mar 28, 2009 6:58 pm
Posts: 839
Location: Germany
well, apache is constantly dying beacuse of segfaults caused since php 5.2.13.
I'm trying to downgrade to the previous php version with this command

Code:
yum --allow-downgrade install php-5.2.12-3.el5.art.x86_64 php-cli-5.2.12-3.el5.art.x86_64 php-common-5.2.12-3.el5.art.x86_64 php-devel-5.2.12-3.el5.art.x86_64 php-eaccelerator-1:5.2.12_0.9.5.3-5.el5.art.x86_64 php-gd-5.2.12-3.el5.art.x86_64 php-imap-5.2.12-3.el5.art.x86_64 php-ioncube-loader-1:3.3.7-1.el5.art.x86_64 php-mbstring-5.2.12-3.el5.art.x86_64 php-mysql-5.2.12-3.el5.art.x86_64 php-pdo-5.2.12-3.el5.art.x86_64 php-soap-5.2.12-3.el5.art.x86_64 php-xml-5.2.12-3.el5.art.x86_64


But it replies:
Quote:
Finished
Setting up Install Process
Package matching php-5.2.12-3.el5.art.x86_64 already installed. Checking for update.
Package matching php-cli-5.2.12-3.el5.art.x86_64 already installed. Checking for update.
Package matching php-common-5.2.12-3.el5.art.x86_64 already installed. Checking for update.
Package matching php-devel-5.2.12-3.el5.art.x86_64 already installed. Checking for update.
Package matching 1:php-eaccelerator-5.2.12_0.9.5.3-5.el5.art.x86_64 already installed. Checking for update.
Package matching php-gd-5.2.12-3.el5.art.x86_64 already installed. Checking for update.
Package matching php-imap-5.2.12-3.el5.art.x86_64 already installed. Checking for update.
Package matching 1:php-ioncube-loader-3.3.7-1.el5.art.x86_64 already installed. Checking for update.
Package matching php-mbstring-5.2.12-3.el5.art.x86_64 already installed. Checking for update.
Package matching php-mysql-5.2.12-3.el5.art.x86_64 already installed. Checking for update.
Package matching php-pdo-5.2.12-3.el5.art.x86_64 already installed. Checking for update.
Package matching php-soap-5.2.12-3.el5.art.x86_64 already installed. Checking for update.
Package matching php-xml-5.2.12-3.el5.art.x86_64 already installed. Checking for update.
Nothing to do


How can I solve that?
Thanks a lot for any help.

EDIT:
I think because of [atomic] PHP 5.2.13 compiled with mysql library 5.0.77 its causing these segfaults.
https://atomicorp.com/forums/viewtopic.php?f=2&t=3943


Any reason why this is so, and is there a chance to get an update from atomic quickly?
Thanks


Top
 Profile  
 
 Post subject: Re: [atomic] PHP 5.2.13
Unread postPosted: Tue Mar 09, 2010 11:55 am 
Offline
Forum Regular
Forum Regular

Joined: Sat Mar 28, 2009 6:58 pm
Posts: 839
Location: Germany
Hi scott,

any plans for updates?
Thanks and sorry for bothering


Top
 Profile  
 
 Post subject: Re: [atomic] PHP 5.2.13
Unread postPosted: Tue Mar 09, 2010 2:40 pm 
Offline
Atomicorp Staff - Site Admin
Atomicorp Staff - Site Admin

Joined: Wed Dec 31, 1969 8:00 pm
Posts: 7776
Location: earth
Yeah look in atomic-testing, Im not certain that this will change anything though.


Top
 Profile  
 
 Post subject: Re: [atomic] PHP 5.2.13
Unread postPosted: Tue Mar 09, 2010 3:09 pm 
Offline
Forum Regular
Forum Regular

Joined: Sat Mar 28, 2009 6:58 pm
Posts: 839
Location: Germany
Thank you very much. I will test it this night. How can I downgrade if I want to get back to 5.2.12?
The method I mentioned above, doesn't seem to be correct.
Thanks


Top
 Profile  
 
 Post subject: Re: [atomic] PHP 5.2.13
Unread postPosted: Wed Mar 10, 2010 4:26 pm 
Offline
Forum Regular
Forum Regular

Joined: Sat Mar 28, 2009 6:58 pm
Posts: 839
Location: Germany
Hi Scott,

you were right (like always :)). I tried to narrow down the problem and found out that if I remove eaccelerator the segfaults seems to have stopped till now and I can "service httpd graceful" successfully again.

Is it possible for you to compile the latest version Release-0.9.6 rev.410 and put it on atomic-testing?
It seems to be fixed in rev 410: http://www.eaccelerator.net/ticket/404
That would be awesome.
I struggled myself with gdb. Are there some good resources to get started except http://sourceware.org/gdb/current/onlinedocs/gdb/?

Thanks a lot!


Version right now is v0.9.6-rc1
Quote:
php -v
PHP 5.2.13 (cli) (built: Mar 2 2010 18:08:48)
Copyright (c) 1997-2010 The PHP Group
Zend Engine v2.2.0, Copyright (c) 1998-2010 Zend Technologies
with eAccelerator v0.9.6-rc1, Copyright (c) 2004-2007 eAccelerator, by eAccelerator
with the ionCube PHP Loader v3.3.11, Copyright (c) 2002-2010, by ionCube Ltd., and
with Zend Optimizer v3.3.9, Copyright (c) 1998-2009, by Zend Technologies
with Suhosin v0.9.29, Copyright (c) 2007, by SektionEins GmbH


Top
 Profile  
 
Display posts from previous:  Sort by  
Post new topic Reply to topic  [ 55 posts ]  Go to page 1, 2, 3, 4  Next

» Feed - Atomicorp

All times are UTC - 5 hours [ DST ]


Who is online

Users browsing this forum: No registered users and 0 guests


You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot post attachments in this forum

Search for:
Jump to:  
Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group